kabc Library: KABC::DistributionListManager Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::DistributionListManager Class Reference

Manager of distribution lists. More...

`#include <distributionlist.h>`

Collaboration diagram for KABC::DistributionListManager:

[legend]
List of all members.

## Public Member Functions
| DistributionListManager (AddressBook *)
| ~DistributionListManager ()
DistributionList * | list (const QString &name)
void | insert (DistributionList *)
void | remove (DistributionList *)
QStringList | listNames ()
bool | load ()
bool | save ()

## Detailed Description

Manager of distribution lists.

This class represents a collection of distribution lists, which are associated with a given address book.

Definition at line 122 of file distributionlist.h.

## Constructor & Destructor Documentation

KABC::DistributionListManager::DistributionListManager | ( | AddressBook * |  | ) |

| Create manager for given address book.

KABC::DistributionListManager::~DistributionListManager | ( |  | ) |

| Destructor.

## Member Function Documentation

DistributionList* KABC::DistributionListManager::list | ( | const QString & | name | ) |

| Return distribution list with given name.

void KABC::DistributionListManager::insert | ( | DistributionList * |  | ) |

| Insert distribution list. If a list with this name already exists, nothing happens. The passed object is deleted by the manager. Referenced by KABC::DistributionList::DistributionList().

void KABC::DistributionListManager::remove | ( | DistributionList * |  | ) |

| Remove distribution list. If a list with this name doesn't exist, nothing happens. Referenced by KABC::DistributionList::~DistributionList().

QStringList KABC::DistributionListManager::listNames | ( |  | ) |

| Return names of all distribution lists managed by this manager.

bool KABC::DistributionListManager::load | ( |  | ) |

| Load distribution lists form disk.

bool KABC::DistributionListManager::save | ( |  | ) |

| Save distribution lists to disk.

The documentation for this class was generated from the following file:

- distributionlist.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003